org.gradle.nativeplatform.tasks

## Class InstallExecutable

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.nativeplatform.tasks.InstallExecutable

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class InstallExecutable
      extends DefaultTask

  Installs an executable with it's dependent libraries so it can be easily executed.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallExecutable(org.gradle.internal.work.WorkerLeaseService workerLeaseService)` Injects a `WorkerLeaseService` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDestinationDir()` Deprecated. Use `getInstallDirectory()`.
    `File` | `getExecutable()` Deprecated. Use `getSourceFile()`.
    `protected org.gradle.api.internal.file.FileOperations` | `getFileOperations()`
    `protected org.gradle.internal.nativeintegration.filesystem.FileSystem` | `getFileSystem()`
    `protected File` | `getInputFileIfExists()` Workaround for when the task is given an input file that doesn't exist
    `DirectoryProperty` | `getInstallDirectory()` The directory to install files into.
    `FileCollection` | `getLibs()` The library files that should be installed.
    `NativePlatform` | `getPlatform()` The platform describing the install target.
    `File` | `getRunScript()` Returns the script file that can be used to run the install image.
    `Provider<RegularFile>` | `getRunScriptFile()` Returns the script file that can be used to run the install image.
    `RegularFileProperty` | `getSourceFile()` The executable file to install.
    `ToolChain` | `getToolChain()` The tool chain used for linking.
    `void` | `install()`
    `void` | `lib(Object libs)` Adds a set of library files to be installed.
    `void` | `setDestinationDir(File destinationDir)` Deprecated. Use `getInstallDirectory()`.
    `void` | `setExecutable(File executable)` Deprecated. Use `getSourceFile()`.
    `void` | `setLibs(FileCollection libs)`
    `void` | `setPlatform(NativePlatform platform)`
    `void` | `setToolChain(ToolChain toolChain)`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstallExecutable

          @Inject
          public InstallExecutable(org.gradle.internal.work.WorkerLeaseService workerLeaseService)

      Injects a `WorkerLeaseService` instance.
      Since:
        4.2

  - ### Method Detail

    - #### getToolChain

          @Internal
          public ToolChain getToolChain()

      The tool chain used for linking.

    - #### setToolChain

          public void setToolChain(ToolChain toolChain)

    - #### getPlatform

          public NativePlatform getPlatform()

      The platform describing the install target.

    - #### setPlatform

          public void setPlatform(NativePlatform platform)

    - #### getInstallDirectory

          @OutputDirectory
          public DirectoryProperty getInstallDirectory()

      The directory to install files into.
      Since:
        4.1

    - #### getDestinationDir

          @Deprecated
           @Internal
          public File getDestinationDir()

      Deprecated. Use `getInstallDirectory()`.
      Returns the path to install into.

    - #### setDestinationDir

          @Deprecated
          public void setDestinationDir(File destinationDir)

      Deprecated. Use `getInstallDirectory()`.
      Sets the path to install into.

    - #### getSourceFile

          @Internal(value="Covered by inputFileIfExists")
          public RegularFileProperty getSourceFile()

      The executable file to install.
      Since:
        4.1

    - #### getExecutable

          @Deprecated
           @Internal(value="Covered by inputFileIfExists")
          public File getExecutable()

      Deprecated. Use `getSourceFile()`.
      Returns the executable to be installed.

    - #### setExecutable

          @Deprecated
          public void setExecutable(File executable)

      Deprecated. Use `getSourceFile()`.
      Sets the executable to be installed.

    - #### getInputFileIfExists

          @SkipWhenEmpty
           @Optional
           @InputFile
          protected File getInputFileIfExists()

      Workaround for when the task is given an input file that doesn't exist
      Since:
        4.3

    - #### getLibs

          @InputFiles
          public FileCollection getLibs()

      The library files that should be installed.

    - #### setLibs

          public void setLibs(FileCollection libs)

    - #### lib

          public void lib(Object libs)

      Adds a set of library files to be installed. The provided libs object is evaluated as per `Project.files(Object...)`.

    - #### getRunScript

          @Internal(value="covered by getInstallDirectory")
          public File getRunScript()

      Returns the script file that can be used to run the install image.

    - #### getRunScriptFile

          @Internal(value="covered by getInstallDirectory")
          public Provider<RegularFile> getRunScriptFile()

      Returns the script file that can be used to run the install image.
      Since:
        4.4

    - #### getFileSystem

          @Inject
          protected org.gradle.internal.nativeintegration.filesystem.FileSystem getFileSystem()

    - #### getFileOperations

          @Inject
          protected org.gradle.api.internal.file.FileOperations getFileOperations()

    - #### install

          public void install()